Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class Node

    java.lang.Object
      org.apache.xalan.xsltc.runtime.Node

public class Node
extends java.lang.Object

This class is used as "wrapper" for dom nodes. Wrappers are needed when a node is passed as a parameter to a template.

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

Field Summary
`int` | `node`
`int` | `type`

Constructor Summary
`Node(int n, int t)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    public int node

### type

    public int type

Constructor Detail

### Node

    public Node(int n,
                int t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.